@use 'partials/components/menu';
@use 'partials/mixins/text-clamp';

$slide-midi-data-width: 225px;
$slide-midi-img-width: 100px;
$slide-midi-img-max-height: 70px;

.slide-item-container {
  width: 100%;
}

.grid-container {
  display: inline-flex;
  // margin-left: 20px;
  padding: 0 20px;
}

.slide-midi-data-width {
  width: $slide-midi-data-width;
}

.grid-item {
  margin-top: menu.$midi-margin;
  margin-bottom: menu.$midi-margin;
  padding-left: menu.$midi-padding;
  position: relative;
}

.grid-item-composition {
  display: flex;
  flex-direction: column;
}

.grid-row-item {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
}

.img-min-max {
  display: flex;
  width: $slide-midi-img-width;
  max-height: $slide-midi-img-max-height;
  justify-content: center;
}

.deleted {
  display: flex;
  width: $slide-midi-img-width;
  max-height: $slide-midi-img-max-height;
  justify-content: center;
}

.left-align {
  float: left;
}

.right-align {
  float: right;
}

.deleted-fallback {
  padding-top: 20px;
  margin-right: 10px;
}

.text-clamp {
  @include text-clamp.set-text-clamp(1);
}
